Index: /trunk/tools/bin/backport-common.sh
===================================================================
--- /trunk/tools/bin/backport-common.sh	(revision 83678)
+++ /trunk/tools/bin/backport-common.sh	(revision 83679)
@@ -125,4 +125,8 @@
             ;;
 
+        --first-rev|--first|-1)
+            MY_FIRST_REV=1
+            ;;
+
         --extra)
             if test $# -eq 0; then
@@ -140,5 +144,5 @@
         # usage
         --h*|-h*|-?|--?)
-            echo "usage: $0 [--trunk-dir <dir>] [--branch <ver>] [--branch-dir <dir>] [--extra <svn-arg>] rev1 [rev2..[revN]]]"
+            echo "usage: $0 [--trunk-dir <dir>] [--branch <ver>] [--branch-dir <dir>] [--extra <svn-arg>] [--first-rev] rev1 [rev2..[revN]]]"
             echo ""
             echo "Options:"
@@ -149,4 +153,6 @@
             echo "  --branch <ver>"
             echo "    The name of the branch being backported to. default: auto"
+            echo "  --first-rev, --first, -1"
+            echo "    Merge only: Check that the branch does not have any pending changes."
             echo "  --extra <svn-arg>"
             echo "    Additional arguments to specify to SVN."
Index: /trunk/tools/bin/backport-merge.sh
===================================================================
--- /trunk/tools/bin/backport-merge.sh	(revision 83678)
+++ /trunk/tools/bin/backport-merge.sh	(revision 83679)
@@ -33,4 +33,18 @@
 MY_SCRIPT_NAME="backport-merge.sh"
 . "${MY_SCRIPT_DIR}/backport-common.sh"
+
+#
+# Check that the branch is clean if first revision.
+#
+if test -n "${MY_FIRST_REV}"; then
+    MY_STATUS=`"${MY_SVN}" status -q "${MY_BRANCH_DIR}"`
+    if test -n "${MY_STATUS}"; then
+        echo "error: Branch already has changes pending..."
+        "${MY_SVN}" status -q "${MY_BRANCH_DIR}"
+        exit 1;
+    else
+        test -z "${MY_DEBUG}" || echo "debug: Found no pending changes on branch."
+    fi
+fi
 
 #
